Package io.github.jdbcx.driver

# Interface ManagedConnection

All Superinterfaces:
  `AutoCloseable`, `Connection`, `io.github.jdbcx.ResourceManager`, `Wrapper`

All Known Implementing Classes:
  `DefaultConnection`, `WrappedConnection`

public interface ManagedConnection extends Connection, io.github.jdbcx.ResourceManager
This interface defines a JDBCX managed connection.

## Field Summary

### Fields inherited from interface java.sql.Connection

`TRANSACTION_NONE, TRANSACTION_READ_COMMITTED, TRANSACTION_READ_UNCOMMITTED, TRANSACTION_REPEATABLE_READ, TRANSACTION_SERIALIZABLE`

## Method Summary

Modifier and Type
Method
Description
`default JdbcDialect`
`getDialect()`
`ConnectionManager`
`getManager()`
Gets connection manager.

### Methods inherited from interface java.sql.Connection

`abort, beginRequest, clearWarnings, close, commit, createArrayOf, createBlob, createClob, createNClob, createSQLXML, createStatement, createStatement, createStatement, createStruct, endRequest, getAutoCommit, getCatalog, getClientInfo, getClientInfo, getHoldability, getMetaData, getNetworkTimeout, getSchema, getTransactionIsolation, getTypeMap, getWarnings, isClosed, isReadOnly, isValid, nativeSQL, prepareCall, prepareCall, prepareCall, prepareStatement, prepareStatement, prepareStatement, prepareStatement, prepareStatement, prepareStatement, releaseSavepoint, rollback, rollback, setAutoCommit, setCatalog, setClientInfo, setClientInfo, setHoldability, setNetworkTimeout, setReadOnly, setSavepoint, setSavepoint, setSchema, setShardingKey, setShardingKey, setShardingKeyIfValid, setShardingKeyIfValid, setTransactionIsolation, setTypeMap`

### Methods inherited from interface io.github.jdbcx.ResourceManager

`add, get, get`

### Methods inherited from interface java.sql.Wrapper

`isWrapperFor, unwrap`

## Method Details

### getManager

ConnectionManager getManager()
Gets connection manager.

Returns:
  non-null connection manager

### getDialect

default JdbcDialect getDialect()